package com.cirs.biz.service;

import java.util.List;
import com.cirs.biz.domain.TVerificationScoretaskDetail;

/**
 * 打分算法验证详情Service接口
 * 
 * @author allen
 * @date 2023-12-10
 */
public interface ITVerificationScoretaskDetailService 
{
    /**
     * 查询打分算法验证详情
     * 
     * @param id 打分算法验证详情主键
     * @return 打分算法验证详情
     */
    public TVerificationScoretaskDetail selectTVerificationScoretaskDetailById(Long id);

    /**
     * 查询打分算法验证详情列表
     * 
     * @param tVerificationScoretaskDetail 打分算法验证详情
     * @return 打分算法验证详情集合
     */
    public List<TVerificationScoretaskDetail> selectTVerificationScoretaskDetailList(TVerificationScoretaskDetail tVerificationScoretaskDetail);

    /**
     * 新增打分算法验证详情
     * 
     * @param tVerificationScoretaskDetail 打分算法验证详情
     * @return 结果
     */
    public int insertTVerificationScoretaskDetail(TVerificationScoretaskDetail tVerificationScoretaskDetail);

    /**
     * 修改打分算法验证详情
     * 
     * @param tVerificationScoretaskDetail 打分算法验证详情
     * @return 结果
     */
    public int updateTVerificationScoretaskDetail(TVerificationScoretaskDetail tVerificationScoretaskDetail);

    /**
     * 批量删除打分算法验证详情
     * 
     * @param ids 需要删除的打分算法验证详情主键集合
     * @return 结果
     */
    public int deleteTVerificationScoretaskDetailByIds(Long[] ids);

    /**
     * 删除打分算法验证详情信息
     * 
     * @param id 打分算法验证详情主键
     * @return 结果
     */
    public int deleteTVerificationScoretaskDetailById(Long id);

    public String importTaskDetail(List<TVerificationScoretaskDetail> taskDetailList, boolean updateSupport, String operName, String fileName);

    public List<TVerificationScoretaskDetail> getByscoretaskid(Long taskid);

    public List<TVerificationScoretaskDetail> selectTVerificationScoreaskDetailByTaskIds(List<Long> taskids);
}
